post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to upload different executable files such as .exe, .dmg, Linux binaries etc. Users can provide URL encoded value in the ‘filename’ field. The field ‘data’ will only accept Base64 encoded content of the installer binary.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| data | Base64 encoded installer binary content | Yes | string |
| name | Name of the software | No | string |
| filename | Installer file name (URL-encoded allowed) | Yes | string |
| family | Operating system family (e.g., windows, linux, mac) | No | string |
| version | Software version | No | string |
| architecture | System architecture (e.g., x86) | No | string |
| category | Software category | No | string |
| installoption | Installation options/arguments | No | string |
| publisher | Software publisher name | No | string |
| description | Description of the software | No | string |
| accountid | Account identifier | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
import base64
with open("WinSCP-5.13.4-Setup.exe", "rb") as f:
encodedZip = base64.b64encode(f.read()).decode("utf-8")
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Endpoint.uploadInstallerPackage(
filename="WinSCP-5.13.4-Setup.exe",
data=encodedZip,
accountid="Demo Account"
)
print(response)
client.close()Requires Python 3.9 or later.